---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Get the count of customers in the wait queue

Returns the total number of customers currently waiting in the queue for this journey.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "customer-service-journeywaitqueue",
      "x-displayName": "Customer service - Journey Wait Queue",
      "description": "Customer service endpoints"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/cs/journey/{id}/waitqueue/count": {
      "get": {
        "tags": [
          "customer-service-journeywaitqueue"
        ],
        "summary": "Get the count of customers in the wait queue",
        "description": "Returns the total number of customers currently waiting in the queue for this journey.",
        "x-gateway-endpoint": "customerService",
        "x-eov-operation-handler": "journeyWaitQueueController",
        "operationId": "getJourneyWaitQueueCount",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "number"
            },
            "required": true,
            "description": "Numeric ID of the journey"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/CS_JourneyWaitQueueCountResponse"
          },
          "400": {
            "$ref": "#/components/responses/CS_BadRequestResponse"
          },
          "403": {
            "$ref": "#/components/responses/CS_Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/CS_NotFoundResponse"
          },
          "500": {
            "$ref": "#/components/responses/CS_ServerErrorResponse"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "CS_ErrorSchema": {
        "required": [
          "message",
          "statusCode"
        ],
        "type": "object",
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "Response code"
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "CS_CUSTOMER_NOT_ENABLED",
              "CS_CUSTOMER_NOT_FOUND",
              "CS_CUSTOMER_ID_IN_USE",
              "CS_CUSTOMER_WITH_NO_FIELDS",
              "CS_CUSTOMER_BAD_FORMAT_FIELD",
              "CS_CUSTOMERS_NOT_FOUND",
              "CS_CUSTOMERS_HAVE_ERRORS",
              "CS_CUSTOMERS_SOME_HAVE_ERRORS",
              "CS_APPLICATION_WITH_NO_FIELDS",
              "CS_CUSTOMER_FIELD_ALREADY_EXISTS",
              "CS_INVALID_CUSTOMER_FIELD_NAME",
              "CS_CUSTOMER_FIELD_NOT_FOUND",
              "CS_API_GATEWAY_TOKEN_NOT_VALID",
              "CS_ERROR_PROCESSING_GATEWAY_TOKEN",
              "CS_AUTHORIZATION_FORMAT_ERROR",
              "CS_NOT_VALID_IP",
              "CS_NOT_VALID_KEY",
              "CS_SERVER_ERROR",
              "CS_TOO_MANY_REQUEST",
              "CS_CAMPAING_ID_NOT_FOUND",
              "CS_CSV_FORMAT_NOT_SUPPORTED",
              "CS_CSV_WITH_NO_CUSTOMERS",
              "CS_CSV_WITH_NO_CUSTOMER_ID_FIELD",
              "CS_CSV_WITH_NO_CUSTOMER_FIELDS",
              "CS_INCORRECT_SCHEDULE_AT_DATE",
              "CS_CUSTOMER_JOURNEY_NOT_FOUND",
              "CS_CUSTOMER_JOURNEY_TEMPLATE_NOT_FOUND",
              "CS_CUSTOMER_JOURNEY_TEMPLATE_DISABLED",
              "CS_FIELD_VALUE_INVALID",
              "CS_FIELD_HISTORY_NOT_ALLOWED",
              "CS_FIELD_AGGREGATION_IS_MANDATORY",
              "CS_FIELD_AGGREGATION_WINDOW_FORBIDDEN",
              "CS_FIELD_AGGREGATION_WINDOW_REQUIRED",
              "CS_FIELD_AGGREGATION_WINDOW_NOT_VALID",
              "CS_FIELD_SOURCE_EVENT_FIELD_NOT_VALID",
              "CS_COMPUTED_ENABLED_REQUIRED",
              "CS_CUSTOMER_JOURNEY_STATE_NOT_FOUND",
              "CS_CUSTOMER_JOURNEY_COULD_NOT_BE_EDITED_AFTER_BE_ENABLED",
              "CS_PARAMETER_MISSING_OR_INVALID",
              "CS_RESOURCE_NOT_FOUND",
              "CS_JOURNEY_NOT_FOUND",
              "CS_JOURNEY_ALREADY_ENABLED_OR_TERMINATED",
              "CS_JOURNEY_ENABLED",
              "CS_JOURNEY_NOT_RUNNING",
              "CS_JOURNEY_INVALID",
              "CS_JOURNEY_CANT_ADD_CUSTOMERS",
              "CS_JOURNEY_STATE_INVALID",
              "CS_FORBIDDEN",
              "CS_BRANCH_STATS_NOT_FOUND",
              "CS_JOURNEY_STATE_STATS_NOT_FOUND",
              "CS_STATS_NOT_FOUND",
              "CS_BAD_REQUEST",
              "CS_INVALID_FILTER",
              "CS_INVALID_ORDER",
              "CS_CUSTOMER_DATA_CSV_EXPORT_NOT_ENABLED",
              "CS_WEBHOOK_TEMPLATE_NOT_FOUND",
              "CS_WEBHOOK_TEMPLATE_BODY_NOT_ALLOWED_FOR_GET",
              "CS_WEBHOOK_TEMPLATE_URL_INVALID",
              "CS_WEBHOOK_TEMPLATE_BODY_INVALID",
              "CS_SEGMENT_NOT_FOUND",
              "CS_SEGMENT_INVALID",
              "CS_SEGMENT_ALREADY_EXISTS",
              "CS_AUDIENCE_LIST_NOT_FOUND",
              "CS_AUDIENCE_LIST_INVALID",
              "CS_AUDIENCE_LIST_ALREADY_EXISTS",
              "CS_CDP_EVENT_NOT_FOUND",
              "CS_CDP_EVENT_ALREADY_EXISTS",
              "CS_CDP_EVENT_TYPE_INVALID",
              "CS_CDP_EVENT_TYPE_RETENTION_DAYS_LIMIT_EXCEEDED",
              "CS_CDP_EVENT_TYPE_EVENT_HISTORY_NOT_ALLOWED",
              "CS_CDP_EVENT_FIELD_LIMIT_REACHED",
              "CS_CDP_EVENT_TEMPLATE_NOT_FOUND",
              "CS_CDP_EVENTS_INGESTION_NOT_ENABLED",
              "CS_CDP_FIELD_AGGREGATED_NOT_ENABLED",
              "CS_INVALID_FIELD_ROLE",
              "CS_FIELD_ROLE_VALUE_TYPE_MISMATCH",
              "CS_MANUAL_COMPUTE_LIMIT_EXCEEDED"
            ],
            "description": "* `CS_CUSTOMER_NOT_ENABLED` - The customer feature is not available for this application\n* `CS_CUSTOMER_NOT_FOUND` - Customer not found\n* `CS_CUSTOMER_ID_IN_USE` - External code is already in use\n* `CS_CUSTOMER_WITH_NO_FIELDS` - This customer id has no custom fields\n* `CS_APPLICATION_WITH_NO_FIELDS` - This application id has no custom fields\n* `CS_CUSTOMER_FIELD_ALREADY_EXISTS` - Customer field already exists\n* `CS_INVALID_CUSTOMER_FIELD_NAME` - Invalid customer field name\n* `CS_CUSTOMER_FIELD_NOT_FOUND` - Customer field name not found\n* `CS_API_GATEWAY_TOKEN_NOT_VALID` - Gateway token is not valid\n* `CS_ERROR_PROCESSING_GATEWAY_TOKEN` - Error processing gateway token\n* `CS_AUTHORIZATION_FORMAT_ERROR` - Authorization is not present or has no right format\n* `CS_NOT_VALID_IP` - IP is not valid\n* `CS_NOT_VALID_KEY` - Key is not valid\n* `CS_SERVER_ERROR` - Server Error\n* `CS_TOO_MANY_REQUEST` - Too many request for your account, try again in ${seconds} seconds\n* `CS_CAMPAING_ID_NOT_FOUND` - Campaign id not found\n* `CS_CSV_FORMAT_NOT_SUPPORTED` - Some error in the csv format\n* `CS_CSV_WITH_NO_CUSTOMERS` - There are no customers in this CSV\n* `CS_CSV_WITH_NO_CUSTOMER_ID_FIELD` - customerId field not found in this CSV\n* `CS_COMPUTED_ENABLED_REQUIRED` - The computedEnabled field is required for computed fields\n* `CS_CSV_WITH_NO_CUSTOMER_FIELDS` - Customer fields not found in headers\n* `CS_INCORRECT_SCHEDULE_AT_DATE` - The date must be greater than the current date\n* `CS_CUSTOMER_JOURNEY_NOT_FOUND` - Customer Journey not found\n* `CS_CUSTOMER_JOURNEY_TEMPLATE_NOT_FOUND` - Customer Journey Template not found\n* `CS_CUSTOMER_JOURNEY_TEMPLATE_DISABLED` - Customer Journey Template is disabled\n* `CS_FIELD_VALUE_INVALID` - The value of a field for a customer has been set to the wrong value or format\n* `CS_FIELD_HISTORY_NOT_ALLOWED` - Field event history not allowed\n* `CS_FIELD_AGGREGATION_IS_MANDATORY` - Field aggregation is mandatory\n* `CS_FIELD_AGGREGATION_WINDOW_FORBIDDEN` - Field aggregation window is forbidden\n* `CS_FIELD_AGGREGATION_WINDOW_REQUIRED` - Field aggregation window is required\n* `CS_FIELD_AGGREGATION_WINDOW_NOT_VALID` - Field aggregation window is not valid format\n* `CS_FIELD_SOURCE_EVENT_FIELD_NOT_VALID` - Field source event field is not valid and required\n* `CS_CUSTOMER_JOURNEY_STATE_NOT_FOUND` - Customer Journey State not found\n* `CS_CUSTOMER_JOURNEY_COULD_NOT_BE_EDITED_AFTER_BE_ENABLED` - Customer Journey could not be edited after be enabled\n* `CS_PARAMETER_MISSING_OR_INVALID` - Some parameter is invalid or missing\n* `CS_RESOURCE_NOT_FOUND` - Resource not found\n* `CS_JOURNEY_NOT_FOUND` - Journey not found\n* `CS_JOURNEY_ALREADY_ENABLED_OR_TERMINATED` - The journey is running or has been running and has already stopped.\n* `CS_JOURNEY_ENABLED` - The journey is running\n* `CS_JOURNEY_NOT_RUNNING` - The journey is not running\n* `CS_JOURNEY_INVALID` - Invalid configuration of journey\n* `CS_JOURNEY_CANT_ADD_CUSTOMERS` - The journey does not allow to add customers\n* `CS_JOURNEY_STATE_INVALID` - Invalid parameters of journey state\n* `CS_FORBIDDEN` - Forbidden\n* `CS_BRANCH_STATS_NOT_FOUND` - Statistics not found\n* `CS_JOURNEY_STATE_STATS_NOT_FOUND` - Statistics not found\n* `CS_STATS_NOT_FOUND` - Statistics not found\n* `CS_BAD_REQUEST` - Bad request\n* `CS_INVALID_FILTER` - Invalid filter\n* `CS_INVALID_ORDER` - Invalid order\n* `CS_CUSTOMER_DATA_CSV_EXPORT_NOT_ENABLED` - Customer data CSV export feature not enabled for this application\n* `CS_WEBHOOK_TEMPLATE_NOT_FOUND` - Webhook template not found\n* `CS_WEBHOOK_TEMPLATE_BODY_NOT_ALLOWED_FOR_GET` - Webhook template body not allowed for GET requests\n* `CS_WEBHOOK_TEMPLATE_URL_INVALID` - Webhook template url is invalid\n* `CS_WEBHOOK_TEMPLATE_BODY_INVALID` - Webhook template body is invalid\n* `CS_SEGMENT_NOT_FOUND` - Segment not found\n* `CS_SEGMENT_INVALID` - Invalid configuration of segment\n* `CS_SEGMENT_ALREADY_EXISTS` - Segment already exists\n* `CS_AUDIENCE_LIST_NOT_FOUND` - Audience list not found\n* `CS_AUDIENCE_LIST_INVALID` - Invalid configuration of audience list\n* `CS_AUDIENCE_LIST_ALREADY_EXISTS` - Audience list already exists\n* `CS_CDP_EVENT_AGGREGATED_NOT_ENABLED` - CDP Event aggregated not enabled\n* `CS_CDP_EVENT_NOT_FOUND` - CDP Event not found\n* `CS_CDP_EVENT_ALREADY_EXISTS` - CDP Event already exists\n* `CS_CDP_EVENT_TYPE_INVALID` - Invalid configuration of CDP Event Type\n* `CS_CDP_EVENT_TYPE_RETENTION_DAYS_LIMIT_EXCEEDED` - CDP Event Type retention days limit exceeded\n* `CS_CDP_EVENT_TYPE_EVENT_HISTORY_NOT_ALLOWED` - CDP Event Type event history not allowed\n* `CS_CDP_EVENT_FIELD_LIMIT_REACHED` - CDP Event Type field limit reached\n* `CS_CDP_EVENT_TEMPLATE_NOT_FOUND` - CDP Event Template not found\n* `CS_CDP_EVENTS_INGESTION_NOT_ENABLED` - CDP Events ingestion not enabled\n* `CS_CDP_FIELD_AGGREGATED_NOT_ENABLED` - CDP Field aggregated not enabled\n* `CS_INVALID_FIELD_ROLE` - Invalid field role value\n* `CS_FIELD_ROLE_VALUE_TYPE_MISMATCH` - Field role requires a different valueType\n* `CS_MANUAL_COMPUTE_LIMIT_EXCEEDED` - Monthly limit of manual compute executions exceeded\n"
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      }
    },
    "responses": {
      "CS_ServerErrorResponse": {
        "description": "Server error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CS_ErrorSchema"
            },
            "example": {
              "statusCode": 500,
              "errorCode": "CS_SERVER_ERROR",
              "message": "Server error"
            }
          }
        }
      },
      "CS_BadRequestResponse": {
        "description": "Parameter is missing or invalid",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CS_ErrorSchema"
            },
            "example": {
              "statusCode": 400,
              "errorCode": "CS_PARAMETER_MISSING_OR_INVALID",
              "message": "Parameter is missing or invalid"
            }
          }
        }
      },
      "CS_Forbidden": {
        "description": "Operation forbidden for your user",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CS_ErrorSchema"
            },
            "example": {
              "statusCode": 403,
              "errorCode": "CS_FORBIDDEN",
              "message": "Operation forbidden"
            }
          }
        }
      },
      "CS_NotFoundResponse": {
        "description": "Resource not found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CS_ErrorSchema"
            },
            "example": {
              "statusCode": 404,
              "errorCode": "CS_RESOURCE_NOT_FOUND",
              "message": "Resource not found"
            }
          }
        }
      },
      "CS_JourneyWaitQueueCountResponse": {
        "description": "Successful response returning the queue count",
        "content": {
          "application/json": {
            "schema": {
              "required": [
                "message",
                "statusCode",
                "data"
              ],
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Response code"
                },
                "message": {
                  "type": "string",
                  "description": "Response message"
                },
                "data": {
                  "type": "object",
                  "required": [
                    "count"
                  ],
                  "properties": {
                    "count": {
                      "type": "integer",
                      "description": "Total number of customers currently in the wait queue."
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```